function [] = convergence_rate(file)

% Read in the file
H = dlmread(file);

% Get the h values in the first column
h = H(:,1);

% L2 error is in the second column
L2 = H(:,2);

% And H1 is in the third
H1 = H(:,3);

% Now produce the output to format a nice table
fprintf('%f & %f & %f & & \\\\\n',h(1),L2(1),H1(1));

for i=2:length(h)
    R2 = log(L2(i-1)/L2(i))./log(h(i-1)./h(i));
    R1 = log(H1(i-1)/H1(i))./log(h(i-1)./h(i));
    fprintf('%f & %f & %f & %f & %f \\\\\n',h(i),L2(i),H1(i),R2,R1);
end
